resources:
    App\Entity\ImageImageRepository:
        processor: App\State\Processor\ImageImageRepositoryProcessor
        input: App\Dto\Input\ImageImageRepositoryInput
        output: App\Dto\Output\ImageImageRepositoryOutput
        normalizationContext:
            groups: ['default', 'image-image-repository:read']
        denormalizationContext:
            groups: ['image-image-repository:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\ImageImageRepositoryProvider
                filters:
                    - 'api_platform.filter.image_image_repository.order'
                    - 'api_platform.filter.image_image_repository.search'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\ImageImageRepositoryProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\ImageImageRepositoryProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\ImageImageRepositoryProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

            get_image_ogrepository:
                shortName: OgRepository Server
                description: Get image in OgRepository
                class: ApiPlatform\Metadata\Get
                method: GET
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/get
                controller: App\Controller\OgRepository\Image\GetAction

            create_aux_files_image_ogrepository:
                shortName: OgRepository Server
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/create-aux-files
                controller: App\Controller\OgRepository\Image\CreateAuxFilesAction

            deploy_image_ogrepository:
                shortName: OgRepository Server
                class: ApiPlatform\Metadata\Post
                method: POST
                input: App\Dto\Input\DeployImageInput
                uriTemplate: /image-image-repositories/{uuid}/deploy-image
                controller: App\Controller\DeployImageAction

            backup_image_ogrepository:
                shortName: OgRepository Server
                class: ApiPlatform\Metadata\Post
                method: POST
                input: App\Dto\Input\BackupImageInput
                uriTemplate: /image-image-repositories/{uuid}/backup-image
                controller: App\Controller\OgRepository\Image\BackupImageAction

            convert_image_to_virtual_image_ogrepository:
                shortName: OgRepository Server
                class: ApiPlatform\Metadata\Post
                method: POST
                input: App\Dto\Input\ConvertImageToVirtualInput
                uriTemplate: /image-image-repositories/{uuid}/convert-image-to-virtual
                controller: App\Controller\OgRepository\Image\ConvertImageToVirtualAction

            rename_image_ogrepository:
                shortName: OgRepository Server
                class: ApiPlatform\Metadata\Post
                method: POST
                input: App\Dto\Input\RenameImageInput
                uriTemplate: /image-image-repositories/{uuid}/rename-image
                controller: App\Controller\OgRepository\Image\RenameAction

            trash_delete_image_ogrepository:
                shortName: OgRepository Server
                description: Delete Image in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/delete-trash
                controller: App\Controller\OgRepository\Image\DeleteTrashAction

            permanent_delete_image_ogrepository:
                shortName: OgRepository Server
                description: Delete Image in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/delete-permanent
                controller: App\Controller\OgRepository\Image\DeletePermanentAction

            recover_image_ogrepository:
                shortName: OgRepository Server
                description: Recover Image in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/recover
                controller: App\Controller\OgRepository\Image\RecoverAction

            transfer_image_ogrepository:
                shortName: OgRepository Server
                description: Export Image in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: App\Dto\Input\TransferGlobalImageInput
                uriTemplate: /image-image-repositories/{uuid}/transfer-image
                controller: App\Controller\OgRepository\Image\TransferAction

            get_status_image_ogrepository:
                shortName: OgRepository Server
                description: Get Status Image in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/status
                controller: App\Controller\OgRepository\Image\GetStatusAction

            transfer_global_image_repository:
                shortName: OgRepository Server
                description: Transfer Global Image in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /image-image-repositories/server/{uuid}/transfer-global
                controller: App\Controller\OgRepository\Image\TransferGlobalAction

properties:
    App\Entity\ImageImageRepository:
        id:
            identifier: false
        uuid:
            identifier: true